<?php
/**
 * @license MIT
 *
 * Modified by RTM Business on 16-December-2024 using {@see https://github.com/BrianHenryIE/strauss}.
 */

declare(strict_types=1);

namespace RtmMailVendor\Dependencies\Doctrine\ORM\Query\AST;

class InSubselectExpression extends InExpression
{
    /** @var Subselect */
    public $subselect;

    public function __construct(ArithmeticExpression $expression, Subselect $subselect, bool $not = false)
    {
        $this->subselect = $subselect;
        $this->not       = $not;

        parent::__construct($expression);
    }
}
